aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2007-08-04 23:48:27 -0700
committerJunio C Hamano <gitster@pobox.com>2007-08-05 10:56:50 -0700
commit00d8c5180dde7434930bfbdf20bc296e9241e4fc (patch)
tree3c21ec1831c889b825ccee34422526ee68153503
parent936492d3cf96817f03182712ca14eb4744c721ef (diff)
downloadgit-00d8c5180dde7434930bfbdf20bc296e9241e4fc.tar.gz
git-00d8c5180dde7434930bfbdf20bc296e9241e4fc.tar.xz
Fix install-doc-quick target
The script starts in a subdirectory of the source directory to muck with a branch whose structure does not have anything to do with the actual work tree. Go up to the top to make it clear that we operate on the whole tree. It also exported GIT_DIR without any good reason. Remove it. Signed-off-by: Junio C Hamano <gitster@pobox.com>
-rwxr-xr-xDocumentation/install-doc-quick.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/Documentation/install-doc-quick.sh b/Documentation/install-doc-quick.sh
index e6601bdd8..07d227f09 100755
--- a/Documentation/install-doc-quick.sh
+++ b/Documentation/install-doc-quick.sh
@@ -7,7 +7,7 @@ mandir="$2"
SUBDIRECTORY_OK=t
USAGE='<refname> <target directory>'
. git-sh-setup
-export GIT_DIR
+cd_to_toplevel
test -z "$mandir" && usage
if ! git rev-parse --verify "$head^0" >/dev/null; then
@@ -18,6 +18,8 @@ fi
GIT_INDEX_FILE=`pwd`/.quick-doc.index
export GIT_INDEX_FILE
rm -f "$GIT_INDEX_FILE"
+trap 'rm -f "$GIT_INDEX_FILE"' 0
+
git read-tree $head
git checkout-index -a -f --prefix="$mandir"/